"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Config = exports.defaultOptions = void 0;
exports.defaultOptions = {
    enable: true,
    mode: "random",
    buildFolderPath: ".next",
    classConversionJsonFolderPath: "./css-obfuscator",
    refreshClassConversionJson: false,
    classLength: 5,
    classPrefix: "",
    classSuffix: "",
    prefix: {
        selectors: "",
        idents: "",
    },
    suffix: {
        selectors: "",
        idents: "",
    },
    classIgnore: [],
    ignorePatterns: {
        selectors: [],
        idents: [],
    },
    allowExtensions: [".jsx", ".tsx", ".js", ".ts", ".html", ".rsc"],
    contentIgnoreRegexes: [
        /\.jsxs\)\("\w+"/g,
    ],
    whiteListedFolderPaths: [],
    blackListedFolderPaths: ["./.next/cache"],
    enableMarkers: false,
    markers: ["next-css-obfuscation"],
    removeMarkersAfterObfuscated: true,
    removeOriginalCss: false,
    generatorSeed: undefined,
    enableJsAst: true,
    logLevel: "info",
};
class Config {
    constructor(options) {
        if (!options) {
            this.options = exports.defaultOptions;
            return;
        }
        this.options = Object.assign(Object.assign({}, exports.defaultOptions), options);
    }
    get() {
        return this.options;
    }
}
exports.Config = Config;
exports.default = Config;
