import { type ConversionTables } from "css-seasoning";
import type { LogLevel, SelectorConversion } from "./types";
export declare const log: (type: LogLevel, task: string, data: unknown) => void;
export declare const setLogLevel: (level: LogLevel) => void;
export declare const usedKeyRegistery: Set<string>;
export declare const replaceJsonKeysInFiles: ({ conversionTables, targetFolder, allowExtensions, contentIgnoreRegexes, whiteListedFolderPaths, blackListedFolderPaths, enableObfuscateMarkerClasses, obfuscateMarkerClasses, removeObfuscateMarkerClassesAfterObfuscated, enableJsAst, }: {
    conversionTables: ConversionTables;
    targetFolder: string;
    allowExtensions: string[];
    contentIgnoreRegexes: RegExp[];
    whiteListedFolderPaths: (string | RegExp)[];
    blackListedFolderPaths: (string | RegExp)[];
    enableObfuscateMarkerClasses: boolean;
    obfuscateMarkerClasses: string[];
    removeObfuscateMarkerClassesAfterObfuscated: boolean;
    enableJsAst: boolean;
}) => void;
export declare const obfuscateKeys: (selectorConversion: SelectorConversion, fileContent: string, contentIgnoreRegexes?: RegExp[]) => {
    obfuscatedContent: string;
    usedKeys: Set<string>;
};
export declare const getFilenameFromPath: (filePath: string) => string;
export declare const normalizePath: (filePath: string) => string;
export declare const findClosestSymbolPosition: (content: string, openMarker: string, closeMarker: string, startPosition?: number, direction?: "forward" | "backward") => number;
export declare const findContentBetweenMarker: (content: string, targetStr: string, openMarker: string, closeMarker: string) => string[];
export declare const addKeysToRegistery: (usedKeys: Set<string> | string[]) => void;
export declare const findAllFilesWithExt: (ext: string, targetFolderPath: string, options?: {
    whiteListedFolderPaths?: (string | RegExp)[];
    blackListedFolderPaths?: (string | RegExp)[];
}) => string[];
export declare const replaceFirstMatch: (source: string, find: string, replace: string) => string;
export declare const duplicationCheck: (arr: string[]) => boolean;
export declare const stringToNumber: (str: string) => number;
export declare const loadConversionTables: (folderPath: string) => ConversionTables;
